<?php
class Secure extends C_R_U_D {

    public $ip;
    public $config;

    function __construct($ip){
        parent::__construct();
        $this->config = $this->findOne(['secure']);//настройки безопасности
        if ($this->config['status'] == 1 && !$this->check_ip($ip)) header('Location: /lk/home');//если ip закрыт
        $this->ip = $this->find(['ip']);//получение списка ip

    }

    public function off_secure ($key) {//отключить защиту
        if (md5($key) != $this->config['key']) return false;
        $this->update('secure',['status'=> 0]);
        return true;
    }

    public function on_secure ($key) {//включить защиту
        if (md5($key) != $this->config['key']) return false;
        $this->update('secure',['status'=> 1]);
        return true;
    }

    public function save_ip ($ip,$key) {//сохранение ip адреса
        if (md5($key) != $this->config['key']) return false;
        $this->insert('ip',['ip'=>$ip]);
        return true;
    }

    private function check_ip ($ip) {//проверка можно ли с этого ip идти в админку
        if (!$this->findOneRecord(['ip'],[['id_ip']],[['ip'=>$ip]])) return false;
        return true;
    }


}