<?php
// check_data
if (!isset($_POST['id']) || empty($_POST['id'])) die(func::status('err','Ошибка обновите страницу'));
if (!isset($_POST['title']) || empty($_POST['title'])) die(func::status('err','Укажите название товара'));
if (!isset($_POST['about']) || empty($_POST['about'])) die(func::status('err','Укажите описание товара'));
if (!isset($_POST['category']) || empty($_POST['category'])) die(func::status('err','Укажите категорию товара'));
if (!isset($_POST['price']) || empty($_POST['price'])) die(func::status('err','Укажите цену товара'));
if (!isset($_POST['poster']) || empty($_POST['poster'])) die(func::status('err','Загрузите изображение'));
if (!isset($_POST['file']) || empty($_POST['file'])) die(func::status('err','Загрузите файл'));
if (!isset($_POST['demo']) || empty($_POST['demo'])) die(func::status('err','Укажите ссылку на демо версию сайта'));

// check_product
$id = func::clearInt($_POST['id']);
$db->Query("SELECT * FROM shp_products WHERE id = '{$id}'");
if ($db->NumRows() <= 0) die(func::status('err','Товар не найден, обновите страницу'));
$product_data = $db->FetchArray();

// sub_variables
$rub = '<i class="fa fa-rub"></i>';
$category_arr = array('1' => 'scripts','2' => 'lendings','3' => 'layouts','4' => 'infoproducts','5' => 'modules','6'=>'other');

// about_cleaner
$about_br = func::genKey(30);
$about = nl2br($_POST['about']);
$about = str_replace('<br />', $about_br, $about);
$about = func::clearStr($about);
$about = str_replace($about_br, '<br />', $about);

// load_user_data
$db->Query("SELECT * FROM shp_accounts WHERE id = '{$user_id}'");
$user_data = $db->FetchArray();

// variables
$title = func::clearStr($_POST['title']);
$category = func::clearStr($_POST['category']);
$category = $category_arr[$category];
$price = func::clearStr($_POST['price']);
$poster = func::clearStr($_POST['poster']);
$file = func::clearStr($_POST['file']);
$author_nickname = $user_data['login'];
$demo = func::clearStr($_POST['demo']);

// check_variables
if (strlen($title) < 10 || strlen($title) > 60) die(func::status('err','Длинна названия не соответствует нужному значению (от 10 до 50 символов)'));
if (strlen($about) < 150 || strlen($about) > 2000) die(func::status('err','Длинна описания не соответствует нужному значению (от 150 до 2000 символов)'));
if ($category < 0 || $category > 5) die(func::status('err','Ошибка категории товара, перезагрузите страницу'));
if ($price < 10 || $price > 15000) die(func::status('err','Цена меньше минимальной, или больше максимальной (от 10 '.$rub.' до 15000 '.$rub.')'));
if ($poster == 'none') die(func::status('err','Загрузите изображение'));
if ($file == 'none') die(func::status('err','Загрузите файл'));

// check_files
if (!file_exists('img/posters/'.$poster)) die(func::status('err','Ошибка загрузки изображения, попробуйте снова'));
if (!file_exists('upload/scripts/'.$file)) die(func::status('err','Ошибка загрузки файла, попробуйте снова'));


// process
$db->Query("UPDATE shp_products
			SET
				title = '{$title}',
				about = '{$about}',
				price = '{$price}',
				poster = '{$poster}',
				file = '{$file}',
				status = '2',
				moderation = '2',
				reason = '0',
				category = '{$category}',
				date_last_edit = '{$time}',
				demo_site = '{$demo}'
			WHERE id = '{$id}'");

// return
echo func::status('success','Товар добавлен в список всех товаров');
