<?php
// check_data
if (!isset($_POST['id']) || empty($_POST['id'])) die(func::status('err','Ошибка, обновите страницу'));
if (!isset($_POST['type']) || empty($_POST['type'])) die(func::status('err','Ошибка, обновите страницу'));

// variables
$id = func::clearInt($_POST['id']);
$type = func::clearStr($_POST['type']);

// check_data
$db->Query("SELECT * FROM shp_payments WHERE id = '{$id}'");
if ($db->NumRows() <= 0) die(func::status('err','Выплата не найдена, обновите страницу'));
$payment_data = $db->FetchArray();

// process
switch ($type) {
	case 'success':
		if ($payment_data['status'] != '1') die(func::status('err','Выплата уже подтверждена, или отказана'));
		$db->Query("SELECT * FROM shp_pconf");
		$pconf = $db->FetchArray();
		$db->Query("SELECT * FROM shp_accounts WHERE id = '{$payment_data['user_id']}'");
		$user_data = $db->FetchArray();
		if (!func::isPayeer($user_data['payeer'])) die(func::status('err','В аккаунте не указан Payeer кошелек, отмените выплату'));
		$db->Query("SELECT * FROM shp_configs");
		$configs = $db->FetchArray();
		$payeer = new payeer($pconf['account_number'], $pconf['api_id'], $pconf['api_key']);
		if($payeer->IsAuth()){
			$balances = $payeer->getBalance();
			if(floatval($balances['balance']['RUB']['DOSTUPNO']) > floatval($payment_data['money'])){
				$data = array(
					'curIn' => 'RUB',
					'sum' => sprintf('%.02f',floatval($payment_data['money'])),
					'curOut' => 'RUB',
					'to' => $user_data['payeer'],
					'comment' => 'Выплата с проекта '.$configs['project_name'].'  пользователю '.$user_data['login'],
					'anonim' => 'Y'
					);
				$transfer = $payeer->transfer($data);
				if(empty($transfer['errors'])){
					$db->Query("UPDATE shp_payments SET status = '2' WHERE id = '{$id}'");
					echo func::status('success','Выплата прошла успешно');
				}else echo func::status('err', 'Ошибка, возможно такого кошелька не существует!');
			}else echo func::status('err','На кошельке недостаточно средств');
		}else echo func::status('err','Ошибка настроек Payeer');
		break;
	case 'fail':
		if ($payment_data['status'] != '1') die(func::status('err','Выплата уже подтверждена, или отказана'));
		$user_id = $payment_data['user_id'];
		$money = $payment_data['money'];
		$db->Query("UPDATE shp_accounts SET balance = balance + $money WHERE id = '{$user_id}'");
		$db->Query("UPDATE shp_payments SET status = '3' WHERE id = '{$id}'");
		echo func::status('success','Выплата отказана');
		break;
	default:
		echo func::status('err','Ошибка, обновите страницу');
		break;
}
