<?php
// check_data
if (!isset($_POST['id']) || empty($_POST['id'])) die(func::status('err','Ошибка, обновите страницу'));
if (!isset($_POST['email']) || empty($_POST['email'])) die(func::status('err','Укажите Email'));

// variables
$id = func::clearInt($_POST['id']);
$email = func::clearStr($_POST['email']);
$download_key = func::genKey(30);

// check_variables
$db->Query("SELECT * FROM shp_products WHERE id = '{$id}'");
if ($db->NumRows() <= 0) die(func::status('err','Товар не найден, перезагрузите страницу'));
$product_data = $db->FetchArray();
if ($product_data['moderation'] != 2) die(func::status('err','Товар недоступен для продажи!'));
if ($product_data['status'] != 2) die(func::status('err','Товар недоступен для продажи!'));
if (!func::isMail($email)) die(func::status('err','Email имеет неправильный формат'));

// process
$db->Query("INSERT INTO shp_orders (user_ip,date_add_order,product_id,download_key,user_email,price,status)
			VALUES ('{$ip}','{$time}','{$id}','{$download_key}','{$email}','{$product_data['price']}','1')");
$order_id = $db->LastInsert();


// gen_link
$pay_system = func::clearStr($_POST['pay_system']);
switch ($pay_system) {
	case 'payeer':
		// gen_payeer_link
		$db->Query("SELECT * FROM shp_pconf");
		$pconf 			= $db->FetchArray();
		$desc 			= base64_encode("Покупка товара №".$id);
		$m_shop 		= $pconf['shop_id'];
		$m_orderid 		= $order_id;
		$m_amount 		= number_format($product_data['price'], 2, ".", "");
		$m_curr 		= "RUB";
		$m_desc 		= $desc;
		$m_key 			= $pconf['shop_secret'];
		$arHash 		= array($m_shop,$m_orderid,$m_amount,$m_curr,$m_desc,$m_key);
		$sign 			= strtoupper(hash('sha256', implode(":", $arHash)));
		$url_send 		= "https://payeer.com/api/merchant/m.php/";
		$data_send 		= "?m_shop=".$m_shop."&m_orderid=".$m_orderid."&m_amount=".$m_amount."&m_curr=".$m_curr."&m_desc=".$m_desc."&m_sign=".$sign."&m_process=1";
		$link 			= $url_send.$data_send;
		break;
	case 'megakassa':
		$db->Query("SELECT * FROM shp_megaconf");
		$mconf 			= $db->FetchArray();
		$shop_id		= $mconf['shop_id'];
		$amount			= number_format($product_data['price'], 2, ".", ""); // -> "100.50"
		$currency		= 'RUB'; // или "USD", "EUR"
		$description	= "Покупка товара №".$id;
		$order_id		= $order_id;
		$method_id		= '';
		$client_email	= '';
		$debug			= ''; // или "1"
		$secret_key		= $mconf['secret_key']; // из настроек магазина в личном кабинете
		$signature		= md5($secret_key.md5(join(':', array($shop_id, $amount, $currency, $description, $order_id, $method_id, $client_email, $debug, $secret_key))));
		$language		= 'ru'; // или 'en'
		$url_send 		= 'https://megakassa.ru/merchant/';
		$data_send 		= "?shop_id=$shop_id&amount=$amount&currency=$currency&description=$description&order_id=$order_id&method_id=$method_id&client_email=$client_email&debug=$debug&signature=$signature&language=$language";
		$link 			= $url_send.$data_send;
		break;
	default:
		echo func::status('err','Ошибка, обновите страницу');
		break;
}

// return
echo func::status('success',$link);
