<?php
// check_data
if (!isset($_POST['id']) || empty($_POST['id'])) die(func::status('err','Ошибка, обновите страницу'));
if (!isset($_POST['name']) || empty($_POST['name'])) die(func::status('err','Укажите имя'));
if (!isset($_POST['text']) || empty($_POST['text'])) die(func::status('err','Укажите текст вашего отзыва'));
if (!isset($_POST['score']) || empty($_POST['score'])) die(func::status('err','Ошибка, обновите страницу'));

// variables
$id = func::clearInt($_POST['id']);
$name = func::clearStr($_POST['name']);
$text = func::clearStr($_POST['text']);
$score = func::clearInt($_POST['score']);

// check_variables
if (strlen($text) > 250 || strlen($text) < 10) die(func::status('err','Неправильнй размер сообщения (от 10 до 250 символов)'));
if ($score > 5) die(func::status('err','Ошибка оценки, обновите страницу'));
if (strlen($name) < 2 || strlen($name) > 20) die(func::status('err','Имя слишком длинное (от 2 до 20 символов)'));

// get_product_data
$db->Query("SELECT * FROM shp_products WHERE id = '{$id}'");
if ($db->NumRows() <= 0) die(func::status('err','Товар не найден, обновите страницу'));
$product_data = $db->FetchArray();

// check_product
if ($product_data['status'] != '2') die(func::status('err','Товар временно не продается'));
if ($product_data['moderation'] != '2') die(func::status('err','Товар временно на модерации'));

// check_session
if (isset($_SESSION['review_product_'.$id]) && $_SESSION['review_product_'.$id] > (time() - 1000)) die(func::status('err','Вы недавно оставляли отзыв этому товару'));

// process
$db->Query("INSERT INTO shp_reviews (product_id,date_add,name,message,stars,ip,status)
			VALUES ('{$id}','{$time}','{$name}','{$text}','{$score}','{$ip}','1')");
$_SESSION['review_product_'.$id] = time();

// return
echo func::status('success','Ваш отзыв отправлен');
