<?php
$_OPT['title'] = 'Выплаты';
$is_purse = (func::isPayeer($data['purse'])) ? true : false;
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-5">
					<h4>Новая выплата</h4>
					<form>
						<p class="help-block">
							<?php
							if ($is_purse) {
								?>
								Будеты выплачено на Payeer кошелек: <?=$data['purse'];?>
								<?php
							}else {
								?>
								Укажите в настройках Payeer кошелек для выплаты.
								<?php
							}
							?>
						</p>
						<div class="form-group">
							<input type="text" <?=($is_purse) ? '' : 'disabled';?> name="money" placeholder="Сумма выплаты" class="form-control">
						</div>
						<input type="hidden" name="api" value="account">
						<input type="hidden" name="account" value="payment">
						<button <?=($is_purse) ? '' : 'disabled';?> class="btn btn-primary">Вывести</button>
					</form>
				</div>
				<div class="col-md-7">
					<h4>История выплат</h4>
					<table class="table table-bordered tabel-stripped">
						<thead>
							<tr>
								<td>ID</td>
								<td>Сумма</td>
								<td>Дата</td>
								<td>Статус</td>
							</tr>
						</thead>
						<tbody>
							<?php
							if ($data['payments'] != '0') {
								foreach ($data['payments'] as $payment) {
									$status_arr = array('1'=>'В ожидании','2'=>'Выплачено','3'=>'Отказано');
									?>
									<tr>
										<td><?=$payment['id'];?></td>
										<td><?=$payment['money'];?> <i class="fa fa-rub"></i></td>
										<td><?=date('Y.m.d',$payment['date_add']);?> <i class="fa fa-calendar"></i></td>
										<td><?=$status_arr[$payment['status']];?></td>
									</tr>
									<?php
								}
							}else echo '<tr><td colspan="4">Нет выплат</td></tr>';
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
