<?php
$_OPT['title'] = 'Модерация товара';
$about = str_replace('<br />', '', $data['about']);
?>
<script>
	setTimeout(function () {
		admin.addReloader();
	},2000);
</script>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-8">
					<div class="form-group">
						<label>Изображение</label>
						<p class="help-block">Максимальный размер 1920x1080px.</p>
						<p class="help-block">Максимальный размер 900кб.</p>
						<p class="help-block">
							Формат файла
							<span class="label label-warning">.jpg</span>
							<span class="label label-warning">.jpeg</span>
							<span class="label label-warning">.png</span>
						</p>
						<form id="posterUpload">
							<input type="hidden" name="api" value="account">
							<input type="hidden" name="account" value="upload_poster">
							<span class="btn btn-primary btn-file poster">
								<span>Изменить изображение...</span>
								<input type="file" name="fileupload">
							</span>
						</form>
					</div>
					<div class="form-group">
						<label>Архив</label>
						<p class="help-block">Максимальный размер 10мб.</p>
						<p class="help-block">Должен содержать папку /www со всеми файлами, и инструкцию к установке(если нужна).</p>
						<p class="help-block">
							Формат файла
							<span class="label label-warning">.zip</span>
							<span class="label label-warning">.rar</span>
						</p>
						<form id="fileUpload">
							<input type="hidden" name="api" value="account">
							<input type="hidden" name="account" value="upload_file">
							<a href="/upload/scripts/<?=$data['file'];?>" download class="btn btn-primary">Скачать текущий архив</a>
							<span class="btn btn-warning btn-file file">
								<span>Изменить файл...</span>
								<input type="file" name="uploadfile">
							</span>
						</form>
					</div>
					<form>
						<div class="form-group">
							<label>Название</label>
							<p class="help-block">
								От 10 до 50 символов.
							</p>
							<input type="text" name="title" placeholder="Название товара.." value="<?=$data['title'];?>" class="form-control">
						</div>
						<div class="form-group">
							<label>Описание</label>
							<p class="help-block">
								От 150 до 2000 символов.
							</p>
							<textarea name="about" placeholder="Описание товара.." class="form-control" rows="7"><?=$about;?></textarea>
						</div>
						<div class="form-group">
							<label>Категория</label>
							<select type="text" name="category" class="form-control">
								<option <?=($data['category'] == 'scripts') ? 'selected':'';?> value="1">Скрипты</option>
								<option <?=($data['category'] == 'lendings') ? 'selected':'';?> value="2">Лендинги</option>
								<option <?=($data['category'] == 'layouts') ? 'selected':'';?> value="3">Шаблоны</option>
								<option <?=($data['category'] == 'infoproducts') ? 'selected':'';?> value="4">Инфотовары</option>
								<option <?=($data['category'] == 'modules') ? 'selected':'';?> value="5">Модули</option>
								<option <?=($data['category'] == 'other') ? 'selected':'';?> value="6">Разное</option>
							</select>
						</div>
						<div class="form-group">
							<label>Демо:</label>
							<p class="help-block">Если не хотите добавлять демо, напишите none</p>
							<input type="text" name="demo" value="<?=$data['demo_site'];?>" placeholder="http://example.com" class="form-control">
						</div>
						<div class="form-group">
							<label>Цена</label>
							<input type="text" name="price" placeholder="Цена товара.." value="<?=$data['price'];?>" class="form-control">
						</div>
						<input type="hidden" name="api" value="admin">
						<input type="hidden" name="admin" value="moderation">
						<input type="hidden" name="id" value="<?=$data['id'];?>">
						<input type="hidden" name="poster" value="<?=$data['poster'];?>">
						<input type="hidden" name="file" value="<?=$data['file'];?>">
						<button class="btn btn-primary">Разрешить продажи</button>
						<div onclick="admin.unmoderation(<?=$data['id'];?>);" class="btn btn-danger">Запретить продажи</div>
					</form>
				</div>
				<div class="col-md-4">
					<label>Предпросмотр</label>
					<div class="panel panel-product">
						<div class="panel-image">
							<img id="preview-img" src="/img/posters/<?=$data['poster'];?>">
						</div>
						<div class="panel-price">
							<span class="label label-success">
								Цена: <span id="preview-price"><?=$product['price'];?> <i class="fa fa-rub"></i></span>
							</span>
						</div>
						<div class="panel-body">
							<center>
								<span id="preview-title"></span>
							</center>
						</div>
						<div class="panel-footer">
							<button class="btn btn-spec btn-block">Купить <i class="fa fa-rub"></i></button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<!-- unmoderationModal -->
<div class="modal fade" id="unmoderationModal">
	<div class="modal-dialog">
		<div class="col-md-10 col-md-offset-1">
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-hidden="true"><i class="fa fa-close"></i></button>
					<h4 class="modal-title">Запрет продаж</h4>
				</div>
				<div class="modal-body">
					<form>
						<div class="form-group">
							<label>Причина</label>
							<textarea name="reason" rows="5" placeholder="Укажите причину отказа..." class="form-control"></textarea>
						</div>
						<input type="hidden" name="api" value="admin">
						<input type="hidden" name="admin" value="unmoderation">
						<input type="hidden" name="id" value="<?=$data['id'];?>">
						<button class="btn btn-danger">Запретить продажи</button>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
