<?php
$_OPT['title'] = 'Пользователь: '.$data['user']['login'];
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-6">
					<h3>
						Никнейм:
						<span class="label label-primary">
							<?=$data['user']['login'];?>
							<i class="fa fa-user"></i>
							<button data-ban="<?=$data['user']['id'];?>"
									onclick="admin.ban(<?=$data['user']['id'];?>);"
									class="btn btn-danger btn-xs">
								<?=($data['user']['ban'] == 0) ? 'Забанить' : 'Разбанить';?>
							</button>
						</span>
					</h3>
					<h3>
						Почта:
						<span class="label label-primary">
							<?=$data['user']['email'];?>
							<i class="fa fa-envelope"></i>
						</span>
					</h3>
					<h3>
						IP:
						<span class="label label-primary">
							<?=$data['user']['last_ip'];?>
							<i class="fa fa-info"></i>
						</span>
					</h3>
					<h3>
						Всего товаров:
						<a href="/cpanel/products?author=<?=$data['user']['login'];?>" class="label label-primary">
							<?=$data['count_products'];?>
							<i class="fa fa-cube"></i>
						</a>
					</h3>
					<h3>
						Активных товаров:
						<a href="/cpanel/products?author=<?=$data['user']['login'];?>" class="label label-primary">
							<?=$data['active_products'];?>
							<i class="fa fa-cubes"></i>
						</a>
					</h3>
					<h3>
						Баланс:
						<span class="label label-primary">
							<?=sprintf('%.2f',$data['user']['balance']);?>
							<i class="fa fa-rub"></i>
						</span>
					</h3>
				</div>
				<div class="col-md-6">
					<h3>
						Дата регистрации:
						<span class="label label-primary">
							<?=date('Y.m.d - H:i',$data['user']['date_reg']);?>
							<i class="fa fa-calendar"></i>
						</span>
					</h3>
					<h3>
						Реферер:
						<?php
						if ($data['user']['referer'] != '0') {
							?>
							<a href="/cpanel/users/<?=$data['user']['referer'];?>" class="label label-primary">
								<?=$data['referer'];?>
								<i class="fa fa-user"></i>
							</a>
							<?php
						}else {
							?>
							<span class="label label-primary">
								Пришел сам
							</span>
							<?php
						}
						?>
					</h3>
					<h3>
						Количество рефералов:
						<span class="label label-primary">
							<?=$data['referals_count'];?>
							<i class="fa fa-users"></i>
						</span>
					</h3>
					<h3>
						Заработано на рефералах:
						<span class="label label-primary">
							<?=sprintf('%.2f',$data['from_refs']);?>
							<i class="fa fa-rub"></i>
						</span>
					</h3>
					<h3>
						Заработано для реферера:
						<span class="label label-primary">
							<?=sprintf('%.2f',$data['user']['to_ref']);?>
							<i class="fa fa-rub"></i>
						</span>
					</h3>
					<h3>
						Выплачено:
						<a href="/cpanel/payments?search=<?=$data['user']['id'];?>" class="label label-primary">
							<?=sprintf('%.2f',$data['sum_payment']);?>
							<i class="fa fa-rub"></i>
						</a>
					</h3>
				</div>
				<div class="col-md-12">
					<h3>История авторизаций</h3>
					<div class="table-responsive">
						<table class="table table-hover table-stripped table-bordered">
							<thead>
								<tr>
									<td>#</td>
									<td>IP</td>
									<td>Браузер</td>
									<td>Дата</td>
								</tr>
							</thead>
							<tbody>
							<?php
							if ($data['auth_history'] != '0') {
								foreach ($data['auth_history'] as $auth) {
									?>
									<tr>
										<td><?=$auth['id'];?></td>
										<td><?=$auth['ip'];?></td>
										<td><?=$auth['meta_data'];?></td>
										<td><?=date('Y.m.d - H:i',$auth['date_add']);?></td>
									</tr>
									<?php
								}
							}else echo '<tr><td colspan="4">Нет авторизаций</td></tr>';
							?>
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
