<?php
/**
* Функции
*/
class func
{
	public function status($status='success',$text='')
	{
		return json_encode(array('status'=>$status,'text'=>$text));
	}
	public function clearMsg($data)
	{
		$data = trim($data);
		$data = strip_tags($data);
		$data = strval($data);
		return $data;
	}
	public function passedTime($a) {
		$ndate = date('d.m.Y', $a);
		$ndate_time = date('H:i', $a);
		$ndate_exp = explode('.', $ndate);
		$nmonth = array(
			1 => 'янв',
			2 => 'фев',
			3 => 'мар',
			4 => 'апр',
			5 => 'мая',
			6 => 'июн',
			7 => 'июл',
			8 => 'авг',
			9 => 'сен',
			10 => 'окт',
			11 => 'ноя',
			12 => 'дек'
		);

		foreach ($nmonth as $key => $value) {
			if($key == intval($ndate_exp[1])) $nmonth_name = $value;
		}

		if($ndate == date('d.m.Y')) return 'сегодня в '.$ndate_time;
		elseif($ndate == date('d.m.Y', strtotime('-1 day'))) return 'вчера в '.$ndate_time;
		else return $ndate_exp[0].' '.$nmonth_name.' в '.$ndate_time;
	}
	public function clearStr($data)
	{
		$db = new db();
		$data = trim($data);
		$data = $db->RealEscape($data);
		$data = strip_tags($data);
		$data = htmlspecialchars($data);
		$data = strval($data);
		return $data;
	}
	public function clearHtml($data)
	{
		$db = new db();
		$data = trim($data);
		$data = $db->RealEscape($data);
		$data = strval($data);
		return $data;
	}
	public function clearInt($data)
	{
		$db = new db();
		$data = trim($data);
		$data = $db->RealEscape($data);
		$data = strip_tags($data);
		$data = htmlspecialchars($data);
		$data = intval($data);
		return $data;
	}
	public function clearFloat($data)
	{
		$db = new db();
		$data = trim($data);
		$data = $db->RealEscape($data);
		$data = strip_tags($data);
		$data = htmlspecialchars($data);
		$data = floatval($data);
		return $data;
	}
	public function genKey($count = 5){
		$arr = array('a','b','c','d','e','z','q',
					 'A','E','I','O','U','Y','B',
					 'C', 'D', 'F', 'G', 'H', 'J',
					 'K', 'L', 'M', 'N', 'P', 'Q',
					 'R', 'S', 'T', 'V', 'W', 'X',
					 'Y', 'Z','w','e','t','y','u',
					 'i','p','n','1','2','3','4',
					 '5','6','7','8','9','0','j',
					 'h','m');
		$arr_c = count($arr) - 1;
		$key = '';
		for ($i=0; $i < $count; $i++) {
			$r = mt_rand(0,$arr_c);
			$key .= $arr[$r];
		}
		return $key;
	}
	function forceDownload($file) {
		if (file_exists($file)) {
			if (ob_get_level()) {
				ob_end_clean();
			}
			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename=' . basename($file));
			header('Content-Transfer-Encoding: binary');
			header('Expires: 0');
			header('Cache-Control: must-revalidate');
			header('Pragma: public');
			header('Content-Length: ' . filesize($file));
			readfile($file);
			exit;
		}
	}
	public function getRank($games)
	{
		$rank = ($games < 100) ? 'adventurer' : (($games > 500) ? 'legend' : 'hero');
		return $rank;
	}
	public function getProps($props) {
		$y = $props % 10;
		$x = $props / 10 % 10;
		if ($x && $x == 1) return 'пользователей';
		if ($y == 1) return 'пользователь';
		if (in_array($y,array(2,3,4))) return 'пользователя';
		return 'пользователей';
	}
	public function isMail($mail)
	{
		if(is_array($mail) && empty($mail) && strlen($mail) > 255 && strpos($mail,'@') > 64) return false;
			return (!preg_match("/^([a-z0-9\+_\-]+)(\.[a-z0-9\+_\-]+)*@([a-z0-9\-]{2,20}+\.)+[a-z]{2,6}$/ix", $mail)) ? false : strtolower($mail);
	}
	public function isPassword($password)
	{
		if(is_array($password) && empty($password) && strlen($password) > 255) return false;
			return (strlen($password) < 6) ? false : $password;
	}
	public function isPayeer($payeer)
	{
		return (!preg_match("/^P[0-9]{6,9}+$/ix", $payeer)) ? false : strtolower($payeer);
	}
	public function isIp($ip)
	{
		return (!preg_match("/^(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)$/", $ip)) ? false : $ip;
	}
	public function isUrl($url)
	{
		return (substr($url, 0, 7) == 'http://' || substr($url, 0, 8) == 'https://') ? $url : false;
	}
}