<?php
// check_data
if (!isset($_POST['title']) || empty($_POST['title'])) die(func::status('err','Укажите название товара'));
if (!isset($_POST['about']) || empty($_POST['about'])) die(func::status('err','Укажите описание товара'));
if (!isset($_POST['category']) || empty($_POST['category'])) die(func::status('err','Укажите категорию товара'));
if (!isset($_POST['price']) || empty($_POST['price'])) die(func::status('err','Укажите цену товара'));
if (!isset($_POST['poster']) || empty($_POST['poster'])) die(func::status('err','Загрузите изображение'));
if (!isset($_POST['file']) || empty($_POST['file'])) die(func::status('err','Загрузите файл'));
if (!isset($_POST['demo']) || empty($_POST['demo'])) die(func::status('err','Укажите ссылку на демо версию сайта'));

// sub_variables
$rub = '<i class="fa fa-rub"></i>';
$category_arr = array('1' => 'scripts','2' => 'lendings','3' => 'layouts','4' => 'infoproducts','5' => 'modules','6'=>'other');

// about_cleaner
$about_br = func::genKey(30);
$about = nl2br($_POST['about']);
$about = str_replace('<br />', $about_br, $about);
$about = func::clearStr($about);
$about = str_replace($about_br, '<br />', $about);

// load_user_data
$db->Query("SELECT * FROM shp_accounts WHERE id = '{$user_id}'");
$user_data = $db->FetchArray();

// variables
$title = func::clearStr($_POST['title']);
$category = func::clearStr($_POST['category']);
$category = $category_arr[$category];
$price = func::clearStr($_POST['price']);
$poster = func::clearStr($_POST['poster']);
$file = func::clearStr($_POST['file']);
$author_nickname = $user_data['login'];
$demo = func::clearStr($_POST['demo']);

// check_variables
if (strlen($title) < 10 || strlen($title) > 60) die(func::status('err','Длинна названия не соответствует нужному значению (от 10 до 60 символов)'));
if (strlen($about) < 150 || strlen($about) > 2000) die(func::status('err','Длинна описания не соответствует нужному значению (от 150 до 2000 символов)'));
if ($category < 0 || $category > 5) die(func::status('err','Ошибка категории товара, перезагрузите страницу'));
if ($price < 10 || $price > 15000) die(func::status('err','Цена меньше минимальной, или больше максимальной (от 10 '.$rub.' до 15000 '.$rub.')'));
if ($poster == 'none') die(func::status('err','Загрузите изображение'));
if ($file == 'none') die(func::status('err','Загрузите файл'));

// check_files
if (!file_exists('img/posters/'.$poster)) die(func::status('err','Ошибка загрузки изображения, попробуйте снова'));
if (!file_exists('upload/scripts/'.$file)) die(func::status('err','Ошибка загрузки файла, попробуйте снова'));


// process
$db->Query("INSERT INTO shp_products (title,about,price,category,author_id,status,poster,date_add,moderation,file,author_nickname,demo_site,date_last_up)
			VALUES ('{$title}','{$about}','{$price}','{$category}','{$user_id}','1','{$poster}','{$time}','1','{$file}','{$author_nickname}','{$demo}','{$time}')");

// return
echo func::status('success','Товар добавлен');
