<?php
// check_data
if (!isset($_POST['money']) || empty($_POST['money'])) die(func::status('err','Укажите сумму'));

// variables
$money = func::clearFloat($_POST['money']);

// inc_file
$db->Query("SELECT login FROM shp_accounts WHERE id = '{$user_id}'");
$lock_name = $db->FetchRow();
$fp = fopen('locks/'.$lock_name.'.txt', 'w+');

// unlock_file_functions
function returnError($fp,$text){
	flock($fp, LOCK_UN);
	fclose($fp);
	echo func::status('err',$text);
	exit();
}
function returnSuccess($fp,$text){
	flock($fp, LOCK_UN);
	fclose($fp);
	echo func::status('success',$text);
	exit();
}

// process
if (flock($fp, LOCK_EX)) {
	// get_user_data
	$db->Query("SELECT * FROM shp_accounts WHERE id = '{$user_id}'");
	$user_data = $db->FetchArray();
	if (!is_float($money)) returnError($fp,'Сумма должна быть числом');
	if ($money < 1) returnError($fp,'Сумма не может быть меньше 10 <i class="fa fa-rub"></i>');
	if (floatval($user_data['balance']) < floatval( $money)) returnError($fp,'На вашем балансе недостаточно средств');
	// get_configs
	$db->Query("SELECT * FROM shp_configs WHERE id = '1'");
	$configs = $db->FetchArray();
	switch ($configs['pay_type']) {
		case '1':
			returnError($fp,'Выплаты временно выключены, попробуйте позже');
			break;
		case '2':
			if ($money < $configs['back_auto_sum']){
				$db->Query("SELECT * FROM shp_pconf");
				$pconf = $db->FetchArray();
				$payeer = new payeer($pconf['account_number'], $pconf['api_id'], $pconf['api_key']);
				if($payeer->IsAuth()){
					$balances = $payeer->getBalance();
					if(floatval($balances['balance']['RUB']['DOSTUPNO']) > floatval($money)){
						$data = array(
							'curIn' => 'RUB',
							'sum' => sprintf('%.02f',floatval($money)),
							'curOut' => 'RUB',
							'to' => $user_data['payeer'],
							'comment' => 'Выплата с проекта '.$configs['project_name'].'  пользователю '.$user_data['login'],
							'anonim' => 'Y'
							);
						$transfer = $payeer->transfer($data);
						if(empty($transfer['errors'])){
							$db->Query("INSERT INTO shp_payments (user_id,money,date_add,status)
										VALUES ($user_id,$money,$time,'2')");
							$db->Query("UPDATE shp_accounts SET balance = balance - $money WHERE id = '{$user_id}'");
							returnSuccess($fp,'Выплата прошла успешно');
						}else returnError($fp, 'Ошибка P1 сообщите администрации');
					}else returnError($fp,'Ошибка M1, сообщите администратору');
				}else returnError($fp,'Ошибка C1, сообщите администратору');
			}else {
				$db->Query("UPDATE shp_accounts SET balance = balance - $money WHERE id = '{$user_id}'");
				$db->Query("INSERT INTO shp_payments (user_id,date_add,money,status) VALUES ('{$user_id}','{$time}','{$money}','1')");
				returnSuccess($fp,'Выплата добавлена в очередь');
			}
			break;
		case '3':
			$db->Query("UPDATE shp_accounts SET balance = balance - $money WHERE id = '{$user_id}'");
			$db->Query("INSERT INTO shp_payments (user_id,date_add,money,status) VALUES ('{$user_id}','{$time}','{$money}','1')");
			returnSuccess($fp,'Выплата добавлена в очередь');
			break;
		default:
			returnError($fp,'Ошибка, обновите страницу');
			break;
	}
}
