<?php
// check_data
if (!isset($_POST['email']) || empty($_POST['email'])) die(func::status('err','Укажите Email'));
if (!isset($_POST['message']) || empty($_POST['message'])) die(func::status('err','Укажите сообщение'));

// variables
$email = func::clearStr($_POST['email']);
$message = func::clearStr($_POST['message']);

// check_variables
if (!func::isMail($email)) die(func::status('err','Email имеет неправильный формат'));
if (strlen($message) < 20 || strlen($message) > 500) die(func::status('err','Длинна сообщения не соответствует формату (от 20 до 500 символов)'));

// check_contact
$last_contact = (isset($_SESSION['contact']) && !empty($_SESSION['contact'])) ? $_SESSION['contact'] : false;
if ($last_contact && $last_contact > ($time - 300)) die(func::status('err','Вы недавно отправляли сообщение'));

// process
$_SESSION['contact'] = $time;
$mail = new mail();
$mail->sendSupport($email,$message);

// return
echo func::status('success','Сообщение отправлено');
