<?php
$_OPT['title'] = 'Добавление товара';
?>
<script>
	setTimeout(function () {
		acc.addReloader();
	},2000);
</script>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-8">
					<div class="form-group">
						<label>Изображение</label>
						<p class="help-block">Максимальный размер 1920x1080px.</p>
						<p class="help-block">Максимальный размер 900кб.</p>
						<p class="help-block">
							Формат файла
							<span class="label label-warning">.jpg</span>
							<span class="label label-warning">.jpeg</span>
							<span class="label label-warning">.png</span>
						</p>
						<form id="posterUpload">
							<input type="hidden" name="api" value="account">
							<input type="hidden" name="account" value="upload_poster">
							<span class="btn btn-primary btn-file poster">
								<span>Выберите изображение...</span>
								<input type="file" name="fileupload">
							</span>
						</form>
					</div>
					<div class="form-group">
						<label>Архив</label>
						<p class="help-block">Максимальный размер 10мб.</p>
						<p class="help-block">Должен содержать папку со всеми файлами, и инструкцию к установке(если нужна).</p>
						<p class="help-block">
							Формат файла
							<span class="label label-warning">.zip</span>
							<span class="label label-warning">.rar</span>
						</p>
						<form id="fileUpload">
							<input type="hidden" name="api" value="account">
							<input type="hidden" name="account" value="upload_file">
							<span class="btn btn-primary btn-file file">
								<span>Выберите файл...</span>
								<input type="file" name="uploadfile">
							</span>
						</form>
					</div>
					<form>
						<div class="form-group">
							<label>Название</label>
							<p class="help-block">
								От 10 до 60 символов.
							</p>
							<input type="text" name="title" placeholder="Название товара.." class="form-control">
						</div>
						<div class="form-group">
							<label>Описание</label>
							<p class="help-block">
								От 150 до 2000 символов.
							</p>
							<textarea name="about" placeholder="Описание товара.." class="form-control" rows="7"></textarea>
						</div>
						<div class="form-group">
							<label>Категория</label>
							<select type="text" name="category" class="form-control">
								<option value="1">Скрипты</option>
								<option value="2">Лендинги</option>
								<option value="3">Шаблоны</option>
								<option value="4">Инфотовары</option>
								<option value="5">Модули</option>
								<option value="6">Разное</option>
							</select>
						</div>
						<div class="form-group">
							<label>Демо:</label>
							<p class="help-block">Запрещено размещение рекламы, и ссылок на сторонние проекты!</p>
							<p class="help-block">Если не хотите добавлять демо, оставьте none</p>
							<input type="text" name="demo" placeholder="http://script-money.ru" value="none" class="form-control">
						</div>
						<div class="form-group">
							<label>Цена</label>
							<input type="text" name="price" placeholder="Цена товара.." class="form-control">
						</div>
						<input type="hidden" name="api" value="account">
						<input type="hidden" name="account" value="add">
						<input type="hidden" name="poster" value="none">
						<input type="hidden" name="file" value="none">
						<button class="btn btn-primary">Добавить товар</button>
					</form>
				</div>
				<div class="col-md-4">
					<label>Предпросмотр</label>
					<div class="panel panel-product">
						<div class="panel-image">
							<img id="preview-img" src="/img/posters/preview-poster.png">
						</div>
						<div class="panel-price">
							<span class="label label-success">
								Цена: <span id="preview-price">0 <i class="fa fa-rub"></i></span>
							</span>
						</div>
						<div class="panel-body">
							<center>
								<span id="preview-title"></span>
							</center>
						</div>
						<div class="panel-footer">
							<button class="btn btn-spec btn-block">Купить <i class="fa fa-rub"></i></button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
