<?php
$_OPT['title'] = 'Реферальная система';
$site_link = 'https://'.$_SERVER['HTTP_HOST']; 
$ref_link = $site_link.'/ref/'.$data['user']['ref_key'];
$banner_1_link = htmlspecialchars('<a href="'.$ref_link.'"><img src="'.$site_link.'/img/468.gif"></a>');
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="form-group">
					<label>Реферальная ссылка</label>
					<p class="help-block">
						Вы будете получать 5% от каждой продажи вашего реферала.
					</p>
					<input type="text" value="<?=$ref_link;?>" placeholder="<?=$ref_link;?>" class="form-control">
				</div>
				
				<h4>Здесь будут выведены 15 самых активных рефералов.</h4>
				<div class="table-responsive">
					<table class="table table-hover table-stripped table-bordered">
						<thead>
							<tr>
								<td>#</td>
								<td>Никнейм</td>
								<td>Принес прибыли</td>
								<td>Последнее отчисление</td>
								<td>Дата регистрации</td>
							</tr>
						</thead>
						<tbody>
							<?php
							if ($data['referals'] != '0') {
								$n = 0;
								foreach ($data['referals'] as $ref) {
									$n++;
									$last_to_ref = ($ref['last_to_ref'] != 0)
													? date('Y.m.d',$ref['last_to_ref']).' <i class="fa fa-calendar"></i>'
													: 'Нет отчислений';
									?>
									<tr>
										<td><?=$n;?></td>
										<td><?=$ref['login'];?></td>
										<td><?=$ref['to_ref'];?> <i class="fa fa-rub"></i></td>
										<td><?=$last_to_ref;?></td>
										<td><?=date('Y.m.d',$ref['date_reg']);?> <i class="fa fa-calendar"></i></td>
									</tr>
									<?php
								}
							}else echo '<tr><td colspan="5">Нет рефералов</td></tr>';
							?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
