<?php
$_OPT['title'] = 'Выплаты';
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-hover table-stripped table-bordered">
							<thead>
								<tr>
									<td>#</td>
									<td>Пользователь</td>
									<td>Сумма</td>
									<td>Дата добавления</td>
								</tr>
							</thead>
							<tbody>
							<?php
							if ($data['payments'] != '0') {
								foreach ($data['payments'] as $payment) {
									?>
									<tr>
										<td><?=$payment['id'];?></td>
										<td>
											<a href="/cpanel/users/<?=$payment['user_id'];?>" class="label label-primary">
												<?=$payment['username'];?>
											</a>
										</td>
										<td><?=sprintf('%.2f',$payment['money']);?> <i class="fa fa-rub"></i></td>
										<td><?=date('Y.m.d H:i',$payment['date_add']);?></td>
									</tr>
									<?php
								}
							}else echo '<tr><td colspan="4">Нет выплат</td></tr>';
							?>
							</tbody>
						</table>
					</div>
				</div>
				<?php
				if ($data['pag'] != '0') {
					?>
					<center>
						<div class="col-md-12">
							<ul class="pagination"><?=$data['pag'];?></ul>
						</div>
					</center>
					<?php
				}
				?>
			</div>
		</div>
	</div>
</div>
