<?php
$_OPT['title'] = 'Тикет №'.$data['ticket']['id'];
$theme = $data['ticket']['theme'];
$theme = (strlen($theme) > 20) ? trim(mb_substr($theme, 0,20)).'..' : $theme;
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<h5>
					<?=$theme;?>
					<?php
						if ($data['ticket']['status'] != 3) {
							?>
								<div class="pull-right">
									<form>
										<input type="hidden" name="api" value="admin">
										<input type="hidden" name="admin" value="ticket">
										<input type="hidden" name="ticket" value="close">
										<input type="hidden" name="id" value="<?=$data['ticket']['id'];?>">
										<button class="btn btn-danger btn-close-ticket">Закрыть тикет</button>
									</form>
								</div>
							<?php
						}
					?>
				</h5>
				<hr class="hr-top">
				<div id="tick_msgs">
					<?php
					if ($data['messages'] != '0') {
						foreach ($data['messages'] as $msg) {
							$style = ($msg['author'] == '2') ? 'me' : 'nome';
							$author = ($msg['author'] == '2') ? 'Вы' : 'Пользователь';
							?>
							<div class="tick_msg_block">
								<div class="tick_msg <?=$style;?>">
									<div class="tick_author"><?=$author;?></div>
									<div class="tick_message"><?=$msg['message'];?></div>
								</div>
							</div>
							<?php
						}
					}else {
						?>
						<div class="tick_msg nome">
							<div class="tick_author">Система</div>
							<div class="tick_message">
								Нет сообщений.
							</div>
						</div>
						<?php
					}
					?>
				</div>
				<hr class="hr-bottom">
				<div class="tick_footer">
					<form>
						<div class="input-group">
							<input type="text" <?=($data['ticket']['status'] == 3) ? 'disabled' : '';?> name="message" class="form-control input-lg" placeholder="Сообщение..">
							<div class="input-group-btn">
								<input type="hidden" name="api" value="admin">
								<input type="hidden" name="admin" value="ticket">
								<input type="hidden" name="ticket" value="message">
								<input type="hidden" name="id" value="<?=$data['ticket']['id'];?>">
								<button <?=($data['ticket']['status'] == 3) ? 'disabled' : '';?> class="btn btn-lg btn-primary btn-send">
									<i class="fa fa-paper-plane"></i>
								</button>
							</div>
						</div>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
