<?php
$_OPT['title'] = 'Пользователи';
$stype = $data['search_type'];
$search = $data['search_val'];
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-12">
					<form act="1">
						<div class="col-md-2 col-sm-2 col-xs-2">
							<div class="row">
								<select name="stype" class="form-control">
									<option <?=($stype == 'login') ? 'selected' : '';?> value="login">Никнейм</option>
									<option <?=($stype == 'email') ? 'selected' : '';?> value="email">Почта</option>
									<option <?=($stype == 'last_ip') ? 'selected' : '';?> value="last_ip">IP</option>
								</select>
							</div>
						</div>
						<div class="col-md-10 col-sm-10 col-xs-10">
							<div class="row">
								<div class="input-group">
									<input type="text" name="search" placeholder="Укажите данные для поиска" value="<?=$search;?>" class="form-control">
									<div class="input-group-btn">
										<button class="btn btn-primary">Найти</button>
									</div>
								</div>
							</div>
						</div>
					</form>
				</div>
				<br>
				<br>
				<div class="col-md-12">
					<div class="table-responsive">
						<table class="table table-hover table-stripped table-bordered">
							<thead>
								<tr>
									<td>#</td>
									<td>Никнейм</td>
									<td>Почта</td>
									<td>IP</td>
									<td>Управление</td>
								</tr>
							</thead>
							<tbody>
								<?php
								if ($data['users'] != '0') {
									foreach ($data['users'] as $user) {
										?>
										<tr>
											<td><?=$user['id'];?></td>
											<td>
												<a href="/cpanel/users/<?=$user['id'];?>" class="label label-primary"><?=$user['login'];?></a>
											</td>
											<td><?=$user['email'];?></td>
											<td><?=$user['last_ip'];?></td>
											<td>
												<button class="btn btn-xs btn-danger"
														data-ban="<?=$user['id'];?>"
														onclick="admin.ban(<?=$user['id'];?>)">
													<?=($user['ban'] == 0) ? 'Забанить' : 'Разбанить';?>
												</button>
											</td>
										</tr>
										<?php
									}
								}else echo '<tr><td colspan="5">Нет пользователей</td></tr>';
								?>
							</tbody>
						</table>
					</div>
				</div>
				<?php
				if ($data['pag'] != '0') {
					?>
					<center>
						<div class="col-md-12">
							<ul class="pagination"><?=$data['pag'];?></ul>
						</div>
					</center>
					<?php
				}
				?>
			</div>
		</div>
	</div>
</div>
