<?php
$_OPT['title'] = $data['title'];
$category_arr = array('scripts'=>'Скрипты','lendings'=>'Лендинги','layouts'=>'Шаблоны','infoproducts'=>'Инфотовары','modules'=>'Модули','other'=>'Разное');
?>
<div class="container">
	<div class="col-md-2">
		<?php include 'views/layouts/admin.leftmenu.php'; ?>
	</div>
	<div class="col-md-10">
		<div class="panel panel-shop">
			<div class="panel-body">
				<div class="col-md-8">
					<div class="buy-title-block">
						<?=$data['title'];?>
					</div>
					<div class="buy-about-block">
						<span>Цена:</span>
						<br>
						<div class="label label-primary">
							<?=$data['price'];?>
							<i class="fa fa-rub"></i>
						</div>
					</div>
					<div class="buy-about-block">
						<span>Категория:</span>
						<br>
						<a href="/cpanel/products/<?=$data['category'];?>" class="label label-primary">
							<?=$category_arr[$data['category']];?>
						</a>
					</div>
					<?php
					if ($data['demo_site'] != 'none') {
						?>
						<div class="buy-about-block">
							<span>Демо версия сайта:</span>
							<br>
							<a href="<?=$data['demo_site'];?>" target="_blank" class="label label-primary">
								<?=$data['demo_site'];?>
							</a>
						</div>
						<?php
					}
					?>
					<div class="buy-about-block">
						<span>Автор:</span>
						<br>
						<a href="/cpanel/products?author=<?=$data['author_nickname'];?>" title="Все товары автора" class="label label-primary">
							<?=$data['author_nickname'];?>
						</a>
					</div>
					<div class="buy-about-block">
						<span>Описание:</span>
						<br>
						<?=$data['about'];?>
					</div>
				</div>
				<div class="col-md-4">
					<div class="buy-img-block">
						<img src="/img/posters/<?=$data['poster'];?>">
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
